Package org.apache.any23.vocab

## Class OGPMusic

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.OGPMusic

-     public class OGPMusic
      extends Vocabulary

  The Open Graph Protocol Music Type vocabulary.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `MUSIC__ALBUM` | The album this song is from.
    `static String` | `MUSIC__ALBUM_DISC` | Which disc of the album this song is on.
    `static String` | `MUSIC__ALBUM_TRACK` | Which disc of the album this song is on.
    `static String` | `MUSIC__CREATOR` | The creator of this playlist if 'music.playlist' or the creator of this station if 'music.radio_station'
    `static String` | `MUSIC__DURATION` | The song's length in seconds.
    `static String` | `MUSIC__MUSICIAN` | Which disc of the album this song is on.
    `static String` | `MUSIC__RELEASE_DATE` | The date the album was released.
    `static String` | `MUSIC__SONG` | The song on this album.
    `static String` | `MUSIC__SONG_DISC` | The same as music:album:disc but in reverse.
    `static String` | `MUSIC__SONG_TRACK` | The same as music:album:track but in reverse.
    `org.eclipse.rdf4j.model.IRI` | `musicAlbum` |
    `org.eclipse.rdf4j.model.IRI` | `musicAlbumDisc` |
    `org.eclipse.rdf4j.model.IRI` | `musicAlbumTrack` |
    `org.eclipse.rdf4j.model.IRI` | `musicCreator` |
    `org.eclipse.rdf4j.model.IRI` | `musicDuration` |
    `org.eclipse.rdf4j.model.IRI` | `musicMusician` |
    `org.eclipse.rdf4j.model.IRI` | `musicReleaseDate` |
    `org.eclipse.rdf4j.model.IRI` | `musicSong` |
    `org.eclipse.rdf4j.model.IRI` | `musicSongDisc` |
    `org.eclipse.rdf4j.model.IRI` | `musicSongTrack` |
    `org.eclipse.rdf4j.model.IRI` | `NAMESPACE` |
    `static String` | `NS` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static OGPMusic` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      See Also:
        Constant Field Values

    - #### MUSIC__DURATION

          public static final String MUSIC__DURATION

      The song's length in seconds.
      See Also:
        Constant Field Values

    - #### MUSIC__ALBUM

          public static final String MUSIC__ALBUM

      The album this song is from.
      See Also:
        Constant Field Values

    - #### MUSIC__ALBUM_DISC

          public static final String MUSIC__ALBUM_DISC

      Which disc of the album this song is on.
      See Also:
        Constant Field Values

    - #### MUSIC__ALBUM_TRACK

          public static final String MUSIC__ALBUM_TRACK

      Which disc of the album this song is on.
      See Also:
        Constant Field Values

    - #### MUSIC__MUSICIAN

          public static final String MUSIC__MUSICIAN

      Which disc of the album this song is on.
      See Also:
        Constant Field Values

    - #### MUSIC__SONG

          public static final String MUSIC__SONG

      The song on this album.
      See Also:
        Constant Field Values

    - #### MUSIC__SONG_DISC

          public static final String MUSIC__SONG_DISC

      The same as music:album:disc but in reverse.
      See Also:
        Constant Field Values

    - #### MUSIC__SONG_TRACK

          public static final String MUSIC__SONG_TRACK

      The same as music:album:track but in reverse.
      See Also:
        Constant Field Values

    - #### MUSIC__RELEASE_DATE

          public static final String MUSIC__RELEASE_DATE

      The date the album was released.
      See Also:
        Constant Field Values

    - #### MUSIC__CREATOR

          public static final String MUSIC__CREATOR

      The creator of this playlist if 'music.playlist' or the creator of this station if 'music.radio_station'
      See Also:
        Constant Field Values

    - #### NAMESPACE

          public final org.eclipse.rdf4j.model.IRI NAMESPACE

    - #### musicDuration

          public final org.eclipse.rdf4j.model.IRI musicDuration

    - #### musicAlbum

          public final org.eclipse.rdf4j.model.IRI musicAlbum

    - #### musicAlbumDisc

          public final org.eclipse.rdf4j.model.IRI musicAlbumDisc

    - #### musicAlbumTrack

          public final org.eclipse.rdf4j.model.IRI musicAlbumTrack

    - #### musicMusician

          public final org.eclipse.rdf4j.model.IRI musicMusician

    - #### musicSong

          public final org.eclipse.rdf4j.model.IRI musicSong

    - #### musicSongDisc

          public final org.eclipse.rdf4j.model.IRI musicSongDisc

    - #### musicSongTrack

          public final org.eclipse.rdf4j.model.IRI musicSongTrack

    - #### musicReleaseDate

          public final org.eclipse.rdf4j.model.IRI musicReleaseDate

    - #### musicCreator

          public final org.eclipse.rdf4j.model.IRI musicCreator

  - ### Method Detail

    - #### getInstance

          public static OGPMusic getInstance()